First time here? Check out the FAQ!
x

Why the software version 1.5 is not compatible with the new system?

0 votes
asked by about Power Vision
edited by

The Circutor-A5R-L's software version 1.5 is not compatible with new system.

1 Answer

0 votes
answered by (329k points)

The latest version of Power Vision is 1.8. I believe that the issue is related to compatibility with the operating system currently installed in your PC.

I recommend download the latest version (1.8C) to see if it works with the OS on your computer. Access the following link to reach the official website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...